baseURL = "https://handbook.brownfield.dev/"
languageCode = "en-us"
title = "Suddenly Remote Handbook"
theme = "book"
relativeUrls=true

disablePathToLower = false
enableGitInfo = true

[markup]
  [markup.goldmark.renderer]
  unsafe = true
  [markup.tableOfContents]
  startLevel = 1

[menu]
#  [[menu.before]]
#  name = "GitLab"
#  url = "https://gitlab.com/brownfield-dev/remote/handbook"
#  weight = 1
  [[menu.after]]
  name = "Brownfield.dev"
  url = "https://brownfield.dev"
  weight = 100

# [[menu.before]] adds an item to the top of the left-hand links

[params]
  # (Optional, default true) Controls table of contents visibility on right side of pages.
  # Start and end levels can be controlled with markup.tableOfContents setting.
  # You can also specify this parameter per page in front matter.
  BookToC = 3

  # (Optional, default none) Set the path to a logo for the book. If the logo is
  # /static/logo.png then the path would be 'logo.png'
  # BookLogo = 'logo.png'

  # (Optional, default none) Set leaf bundle to render as side menu
  # When not specified file structure and weights will be used
  # BookMenuBundle = '/menu'

  # (Optional, default docs) Specify section of content to render as menu
  # You can also set value to "*" to render all sections to menu
  BookSection = '*'

  # Set source repository location.
  # Used for 'Last Modified' and 'Edit this page' links.
  BookRepo = 'https://gitlab.com/brownfield-dev/remote/handbook'

  # Enable 'Edit this page' links for 'doc' page type.
  # Disabled by default. Uncomment to enable. Requires 'BookRepo' param.
  # Path must point to 'content' directory of repo.
  BookEditPath = '-/edit/main/content'

  # Added for webide link
  # https://gitlab.com/-/ide/project/brownfield-dev/remote/handbook/edit/main/-/content/company/_index.md
  # BookRepoHost      |
  #                                 | BookGroupProject             |
  #                                                                | BookWebIdePath      |
  BookRepoHost = 'https://gitlab.com'
  BookRepoGroupProject = 'brownfield-dev/remote/handbook'
  BookWebIdePath = 'edit/main/-/content/'

  # (Optional, default January 2, 2006) Configure the date format used on the pages
  # - In git information
  # - In blog posts
  #BookDateFormat = 'Jan 2, 2006'

  # (Optional, default true) Enables search function with flexsearch,
  # Index is built on fly, therefore it might slowdown your website.
  # Configuration for indexing can be adjusted in i18n folder per language.
  BookSearch = true

  # (Optional, default true) Enables comments template on pages
  # By default partals/docs/comments.html includes Disqus template
  # See https://gohugo.io/content-management/comments/#configure-disqus
  # Can be overwritten by same param in page frontmatter
  BookComments = false

  # /!\ This is an experimental feature, might be removed or changed at any time
  # (Optional, experimental, default false) Enables portable links and link checks in markdown pages.
  # Portable links meant to work with text editors and let you write markdown without {{< relref >}} shortcode
  # Theme will print warning if page referenced in markdown does not exists.
  BookPortableLinks = true
